<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS_hw_04</title>
</head>
<body>
    <script>
        //Первое задание
        let array = [1, 5, 10, 15]; 
        let newArray=[]; //Массив в котором будут новые значения
        function fn() 
        {
            return  array[i]+=100; //Как будет меняться каждый элемент
        }

        function map(fn, array) 
        {
            for (i = 0; i < array.length; i++) 
            {  // методом push возвращаем элементы в новом массиве
                newArray.push(fn(array[i]));
            }
            return newArray;
        }
        document.write("Результат:"+ map(fn, array));

        //Второе задание
        function checkAge() 
        {   let age=prompt("Введите возраст:");
            let accessAllowed = age > 18 ? true : confirm("Родители разврешили?");
            return accessAllowed;
        }
        checkAge();
    </script>
</body>
</html>
